import { LitElement, PropertyValues, TemplateResult } from 'lit';
import '@material/mwc-icon-button';
import '@material/mwc-menu';
import '@material/mwc-list/mwc-list-item';
import './range-date-picker-cell.js';
import { Day } from './day.js';
export declare class RangeDatepickerCalendar extends LitElement {
    static styles: import("lit").CSSResult;
    /**
     * Date from. Format is Unix timestamp.
     */
    dateFrom: string | null;
    /**
     * Date to. Format is Unix timestamp.
     */
    dateTo: string | null;
    hoveredDate: string | null;
    enableYearChange: boolean;
    month: string;
    narrow: boolean;
    noRange: boolean;
    next: boolean;
    prev: boolean;
    year: number;
    disabledDays: Array<string>;
    get locale(): any;
    set locale(value: any);
    /**
     * Max date. Format is Unix timestamp
     */
    max: string | null;
    /**
     * Minimal date. Format is Unix timestamp
     */
    min: string | null;
    protected yearsList: Array<number>;
    protected monthsList: Array<string>;
    protected dayNamesOfTheWeek: Array<string>;
    protected daysOfMonth: Array<Array<Day | null>>;
    protected _locale: any | null;
    protected currentDate: number;
    constructor();
    render(): TemplateResult;
    renderPrevButton(): TemplateResult | null;
    renderNextButton(): TemplateResult | null;
    renderYear(): TemplateResult;
    renderYearItem(item: number): TemplateResult;
    renderDayOfWeek(dayOfWeek: string): TemplateResult;
    renderWeek(week: Array<Day | null>): TemplateResult;
    renderDay(day: Day | null): TemplateResult;
    firstUpdated(): Promise<any>;
    updated(properties: PropertyValues): void;
    isCurrentDate(day: Day): boolean;
    localeChanged(): void;
    yearAndMonthChanged(year: number, month: string): void;
    computeCurrentMonthName(month: string, year: number): string;
    tdIsEnabled(day: Day | null): string;
    handleDateSelected(e: CustomEvent): void;
    handleOpenYearSelection(): void;
    handleYearSelected(): void;
    handleDateHovered(e: CustomEvent): void;
    handleNextMonth(): void;
    handlePrevMonth(): void;
    setYears(from: number, to: number): void;
}
